#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './detailDialogBase.ui'
**
** Created: Mon Feb 18 15:00:27 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "detailDialogBase.h"

#include <qvariant.h>
#include <ktextedit.h>
#include <qlabel.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a DetailDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DetailDialogBase::DetailDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "detailDialog" );
    detailDialogLayout = new QGridLayout( this, 1, 1, 8, 6, "detailDialogLayout"); 

    message = new KTextEdit( this, "message" );
    message->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, message->sizePolicy().hasHeightForWidth() ) );
    message->setReadOnly( TRUE );

    detailDialogLayout->addMultiCellWidget( message, 1, 1, 0, 1 );

    icon = new QLabel( this, "icon" );
    icon->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, icon->sizePolicy().hasHeightForWidth() ) );

    detailDialogLayout->addWidget( icon, 0, 0 );

    header = new QLabel( this, "header" );
    header->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 2, 0, header->sizePolicy().hasHeightForWidth() ) );

    detailDialogLayout->addWidget( header, 0, 1 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    previous = new KPushButton( this, "previous" );
    previous->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, previous->sizePolicy().hasHeightForWidth() ) );
    previous->setProperty( "stdItem", 14 );
    layout2->addWidget( previous );

    next = new KPushButton( this, "next" );
    next->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, next->sizePolicy().hasHeightForWidth() ) );
    next->setProperty( "stdItem", 15 );
    layout2->addWidget( next );
    spacer1 = new QSpacerItem( 100, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );

    closeButton = new KPushButton( this, "closeButton" );
    closeButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, closeButton->sizePolicy().hasHeightForWidth() ) );
    closeButton->setProperty( "stdItem", 13 );
    layout2->addWidget( closeButton );

    detailDialogLayout->addMultiCellLayout( layout2, 2, 2, 0, 1 );
    languageChange();
    resize( QSize(411, 248).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
DetailDialogBase::~DetailDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DetailDialogBase::languageChange()
{
    setCaption( tr2i18n( "Log Line Details" ) );
    QWhatsThis::add( this, tr2i18n( "This dialog displays detailed information about the currently selected log line." ) );
    message->setText( tr2i18n( "Message" ) );
    icon->setText( tr2i18n( "Icon" ) );
    header->setText( tr2i18n( "Main information" ) );
    previous->setText( tr2i18n( "&Back" ) );
    previous->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QToolTip::add( previous, tr2i18n( "Move to the previous line" ) );
    QWhatsThis::add( previous, tr2i18n( "Moves to the previous line. This button is deactivated if there is no previous log line." ) );
    next->setText( tr2i18n( "&Forward" ) );
    next->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    QToolTip::add( next, tr2i18n( "Move to the next line" ) );
    QWhatsThis::add( next, tr2i18n( "Moves to the next line. This button is deactivated if there is no next log line." ) );
    closeButton->setText( tr2i18n( "&Close" ) );
    closeButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QToolTip::add( closeButton, tr2i18n( "Close the Detail dialog." ) );
    QWhatsThis::add( closeButton, tr2i18n( "Closes this Detail dialog." ) );
}

#include "detailDialogBase.moc"
