#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './loggerDialogBase.ui'
**
** Created: Mon Feb 18 15:00:27 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "loggerDialogBase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <klineedit.h>
#include <qradiobutton.h>
#include <kurlrequester.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qcheckbox.h>
#include <kactivelabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kurlrequester.h"
#include "kpushbutton.h"
#include "kcombobox.h"
#include "kactivelabel.h"

/*
 *  Constructs a LoggerDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
LoggerDialogBase::LoggerDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "loggerDialogBase" );
    setBaseSize( QSize( 300, 300 ) );
    setAcceptDrops( TRUE );
    setSizeGripEnabled( FALSE );
    loggerDialogBaseLayout = new QVBoxLayout( this, 11, 6, "loggerDialogBaseLayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, buttonGroup1->sizePolicy().hasHeightForWidth() ) );
    buttonGroup1->setCheckable( FALSE );
    buttonGroup1->setChecked( FALSE );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    message = new KLineEdit( buttonGroup1, "message" );
    message->setLineWidth( 2 );

    buttonGroup1Layout->addMultiCellWidget( message, 0, 0, 1, 2 );

    messageActivation = new QRadioButton( buttonGroup1, "messageActivation" );
    messageActivation->setChecked( TRUE );

    buttonGroup1Layout->addWidget( messageActivation, 0, 0 );

    file = new KURLRequester( buttonGroup1, "file" );
    file->setEnabled( FALSE );
    file->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, file->sizePolicy().hasHeightForWidth() ) );

    buttonGroup1Layout->addWidget( file, 1, 2 );

    fileActivation = new QRadioButton( buttonGroup1, "fileActivation" );

    buttonGroup1Layout->addMultiCellWidget( fileActivation, 1, 1, 0, 1 );
    loggerDialogBaseLayout->addWidget( buttonGroup1 );

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout9_2 = new QHBoxLayout( 0, 0, 6, "layout9_2"); 

    textLabel2_2 = new QLabel( groupBox1, "textLabel2_2" );
    textLabel2_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, textLabel2_2->sizePolicy().hasHeightForWidth() ) );
    layout9_2->addWidget( textLabel2_2 );
    spacer3_2_2 = new QSpacerItem( 84, 24, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9_2->addItem( spacer3_2_2 );

    facility = new KComboBox( FALSE, groupBox1, "facility" );
    facility->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 1, 0, facility->sizePolicy().hasHeightForWidth() ) );
    layout9_2->addWidget( facility );

    groupBox1Layout->addLayout( layout9_2, 1, 0 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    textLabel2 = new QLabel( groupBox1, "textLabel2" );
    textLabel2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, textLabel2->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( textLabel2 );
    spacer3_2 = new QSpacerItem( 84, 24, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer3_2 );

    priority = new KComboBox( FALSE, groupBox1, "priority" );
    priority->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 1, 0, priority->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( priority );

    groupBox1Layout->addLayout( layout9, 0, 0 );
    loggerDialogBaseLayout->addWidget( groupBox1 );

    options = new QButtonGroup( this, "options" );
    options->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, options->sizePolicy().hasHeightForWidth() ) );
    options->setColumnLayout(0, Qt::Vertical );
    options->layout()->setSpacing( 6 );
    options->layout()->setMargin( 11 );
    optionsLayout = new QGridLayout( options->layout() );
    optionsLayout->setAlignment( Qt::AlignTop );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    tagActivation = new QCheckBox( options, "tagActivation" );
    tagActivation->setFocusPolicy( QCheckBox::TabFocus );
    layout11->addWidget( tagActivation );
    spacer3_2_2_2 = new QSpacerItem( 100, 24, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout11->addItem( spacer3_2_2_2 );

    tag = new KLineEdit( options, "tag" );
    tag->setEnabled( FALSE );
    tag->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 5, 0, tag->sizePolicy().hasHeightForWidth() ) );
    tag->setReadOnly( FALSE );
    layout11->addWidget( tag );

    optionsLayout->addLayout( layout11, 3, 0 );

    useProcessIdentifier = new QCheckBox( options, "useProcessIdentifier" );
    useProcessIdentifier->setChecked( TRUE );

    optionsLayout->addWidget( useProcessIdentifier, 4, 0 );
    loggerDialogBaseLayout->addWidget( options );
    spacer7 = new QSpacerItem( 31, 41, QSizePolicy::Minimum, QSizePolicy::Expanding );
    loggerDialogBaseLayout->addItem( spacer7 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    loggerManual = new KActiveLabel( this, "loggerManual" );
    loggerManual->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, loggerManual->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( loggerManual );
    Horizontal_Spacing2 = new QSpacerItem( 155, 26, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6->addItem( Horizontal_Spacing2 );

    buttonOK = new QPushButton( this, "buttonOK" );
    buttonOK->setEnabled( FALSE );
    buttonOK->setAutoDefault( TRUE );
    buttonOK->setDefault( TRUE );
    layout6->addWidget( buttonOK );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    layout6->addWidget( buttonCancel );
    loggerDialogBaseLayout->addLayout( layout6 );
    languageChange();
    resize( QSize(475, 362).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( accept() ) );

    // tab order
    setTabOrder( useProcessIdentifier, buttonOK );
    setTabOrder( buttonOK, buttonCancel );
    setTabOrder( buttonCancel, loggerManual );

    // buddies
    textLabel2_2->setBuddy( facility );
    textLabel2->setBuddy( priority );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LoggerDialogBase::~LoggerDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LoggerDialogBase::languageChange()
{
    setCaption( tr2i18n( "Log Message" ) );
    buttonGroup1->setTitle( tr2i18n( "Message" ) );
    messageActivation->setText( tr2i18n( "&Message:" ) );
    fileActivation->setText( tr2i18n( "&File Content:" ) );
    groupBox1->setTitle( tr2i18n( "Properties" ) );
    textLabel2_2->setText( tr2i18n( "&Facility:" ) );
    textLabel2->setText( tr2i18n( "&Priority:" ) );
    options->setTitle( tr2i18n( "Options" ) );
    tagActivation->setText( tr2i18n( "&Tag:" ) );
    useProcessIdentifier->setText( tr2i18n( "Log Process &Identifier" ) );
    loggerManual->setText( tr2i18n( "<qt><a href=\"man:/logger\">Logger Manual</a></qt>" ) );
    buttonOK->setText( tr2i18n( "&OK" ) );
    buttonOK->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
}

#include "loggerDialogBase.moc"
